Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodenotationnodename Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodenotationnodename (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeName()" method for a

Notation Node is the name of the notation.

Retrieve the Notation declaration inside the

DocumentType node and check the string returned

by the "getNodeName()" method. It should be equal to

"notation1".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095

Definition at line 53 of file nodenotationnodename.java.

## Constructor & Destructor Documentation

nodenotationnodename::nodenotationnodename | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 55 of file nodenotationnodename.java.
    00056  {
    00057       super(factory);
    00058
    00059    }

## Member Function Documentation

String nodenotationnodename::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 75 of file nodenotationnodename.java.
    00075                                 {
    00076       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodenotationnodename";
    00077    }

void nodenotationnodename::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 78 of file nodenotationnodename.java. References DOMTestCase::doMain().
    00078                                           {
    00079         DOMTestCase.doMain(nodenotationnodename.class,args);
    00080    }

void nodenotationnodename::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 61 of file nodenotationnodename.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00061                                                     {
    00062       Document doc;
    00063       DocumentType docType;
    00064       NamedNodeMap testName;
    00065       Node notationNode;
    00066       String notationName;
    00067       doc = load("staff");
    00068       docType = doc.getDoctype();
    00069       testName = docType.getNotations();
    00070       notationNode = testName.getNamedItem("notation1");
    00071       notationName = notationNode.getNodeName();
    00072       assertEquals("nodeNotationNodeNameAssert1","notation1",notationName);
    00073
    00074    }

The documentation for this class was generated from the following file:

- nodenotationnodename.java